Subject: [calsify] Proposed charter update

From: "Bron Gondwana" <[email-masked]>
Date: Fri, 08 Mar 2019 07:19:46 -0500

Hi all,

As your newest chair, I've been reviewing the existing charter and noticed that it's rather outdated - we've delivered most of the work mentioned in there already, and we are working on things which don't strictly fit within the charter.

This is an early draft for a replacement charter. I'd love feedback on it, and discussing a new charter is something I intend to have on the agenda for Prague.

I welcome feedback on the below!

Thanks,

Bron.

---

The Calendaring Extensions working group is chartered to develop
extensions to the iCalendar (RFC 5545), iTIP (RFC 5546), and
CalDAV (RFC 4791) standards.

This working group will do the following:

- Define a new JSON-based format for calendaring and a mapping from icalendar to the new format.

- Define a new set of iCalendar properties to improve management of alarms and default notifications on calendar events.

- Define a standard way for CalDAV clients to control the creation and delivery of scheduling messages by a server, when cleaning up after abuse, migrating events, or restoring from backups.

- Define a set of new iCalendar properties and parameters to standardise some existing experimental X- properties in common use, based on a survey of existing implementations.

- Define an extension to iCalendar to support consensus scheduling, where members of an event or task vote on alternatives.

- Maintain the existing standards for calendaring by vetting errata, and where necessary writing specifications to clarify, update or replace the existing documents.

The working group will work under the following parameters:

- The extensions developed are expected to be backwards-compatible with the existing calendar standards. Incompatibilities must be identified, minimized, and justified.

- For each set of extensions, examine their impact on the iTIP protocol (RFC 5546), and define any necessary extensions to iTIP to accommodate such impact.

- For each set of extensions, examine their impact on the CalDAV protocol (RFC 4791), and define any necessary extensions to CalDAV to accommodate such impact. Interface with the httpbis working group to ensure that any CalDAV changes are consistent with good http practices.

- Where any implementations already exist and have been shipping for some time, either document existing behaviour as well as the preferred standard, or just document the existing behaviour as an informational RFC.

The following are out of scope for the working group:

- Any change that impacts backwards compatibility with existing deployed iCalendar/iTIP/CalDAV clients and servers will be discussed by the working group with a view to minimizing disruption to deployed implementations without compromising desirable new function.

- Any attempt to develop non-Gregorian calendar systems/calculations.

---

--
 Bron Gondwana, CEO, FastMail Pty Ltd
 [email-masked]